<%@ Register TagPrefix="uc2" TagName="RichGridPagers" Src="./Controls/RichGridPagers.ascx" %>
<%@ Register TagPrefix="TimeTrack" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Administration.aspx.vb" Inherits="EasyProjects.Web.GUI.Administration" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
		<title>Administration | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
</HEAD>
	<body id="pageBody" runat="server" MS_POSITIONING="FlowLayout">
		<FORM id="Administration" method="post" runat="server">
			<table height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TBODY>
					<tr vAlign="top" height="5%" width="100%">
						<td>
							<timetrack:banner id="Banner1" runat="server"></timetrack:banner>
						</td>
					</tr>
					<tr vAlign="top" height="95%" width="100%">
						<td>
							<TABLE id="Table2" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD vAlign="top" height="4">
										<table height="100%" width="100%">
											<tr height="100%">
												<td vAlign="top" style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
													<table id="MyTable" title="" cellSpacing="0" cellPadding="0" width="100%" border="0" runat="server"
														class="panel">
														<tr vAlign="top" height="100%">
															<td>
																<TABLE class="tan-border" id="Table3" height="100%" cellSpacing="20" cellPadding="0" width="100%"
																	border="0">
																	<TR>
																		<TD class="title" style="HEIGHT: 23px" colSpan="2">Default Lists</TD>
																	</TR>
																	<tr>
																		<td colSpan="2"><asp:validationsummary id="ValidationSummary1" runat="server"></asp:validationsummary></td>
																	</tr>
																	<TR vAlign="top">
																		<td>
																			<table>
																				<tr>
																					<TD vAlign="top" width="50%" height="20"><strong><font size="1"><asp:label id="lblStatusList" runat="server">Default Status List</asp:label><BR>
																						<BR>
																						<asp:datagrid id="dgStatus" AllowPaging="False" PageSize="30" runat="server" Width="100%" BorderColor="White"
																								AutoGenerateColumns="False" CellPadding="2" AllowSorting="True" BorderWidth="0px">
																							<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
																							<ItemStyle CssClass="list-item"></ItemStyle>
																							<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																							<Columns>
																								<asp:TemplateColumn HeaderText="Name" SortExpression="StatusName">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" Width="35%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<%# DataBinder.Eval(Container, "DataItem.StatusName") %>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:TextBox id=tbStatusName runat="server" Width="156px" CssClass="standard-text" MaxLength="50" text='<%# DataBinder.Eval(Container, "DataItem.StatusName") %>'></asp:TextBox>
																										<asp:RequiredFieldValidator id="rfvEdStatusName" runat="server" Display="Dynamic" ControlToValidate="tbStatusName" ErrorMessage="Status name is required">*</asp:RequiredFieldValidator>
																										<asp:CustomValidator id="cvEdDuplicateStatusName" runat="server" ErrorMessage="Duplicate status names are not allowed">*</asp:CustomValidator>																						
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn HeaderText="Type" SortExpression="StatusType">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" Width="17%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										&nbsp;<%# DataBinder.Eval(Container, "DataItem.StatusType") %> 
																									</ItemTemplate>
																									<EditItemTemplate>
																										&nbsp;<%# DataBinder.Eval(Container, "DataItem.StatusType") %> 
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn HeaderText="Treat As Completed" SortExpression="TreatAsCompleted">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="Verdana" Font-Bold="True" HorizontalAlign="Left" Width="33%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										&nbsp;<%# DataBinder.Eval(Container, "DataItem.TreatAsCompleted") %>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:DropDownList id="ddlTreatAs" runat="server" Width="80px" CssClass="standard-text-big" SelectedValue = '<%# DataBinder.Eval(Container, "DataItem.TreatAsCompleted") %>'>
																											<asp:ListItem Value="False">False</asp:ListItem>
																											<asp:ListItem Value="True">True</asp:ListItem>
																										</asp:DropDownList>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn HeaderText="Action">
																									<HeaderStyle Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left" Width="20%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<asp:ImageButton id="btnEdit" runat="server" ImageUrl="images/edit.gif" ToolTip="Edit this status" CommandName="Edit" CausesValidation="False"></asp:ImageButton>
																										<asp:ImageButton id="btnDelete" runat="server" ImageUrl="images/delete.gif" ToolTip="Delete this status" CommandName="Delete" CausesValidation="False"></asp:ImageButton>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:ImageButton id="btnSave" runat="server" ImageUrl="images/icon-floppy.gif" ToolTip="Save this status" CommandName="Update"></asp:ImageButton>
																										<asp:ImageButton id="btnCancel" runat="server" ImageUrl="images/cancel.gif" ToolTip="Cancel Editing" CommandName="Cancel" CausesValidation="False"></asp:ImageButton>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																							</Columns>
																							<PagerStyle Visible="False" HorizontalAlign="Center">
																							</PagerStyle>
																								</asp:datagrid>
																								<uc2:RichGridPagers id="RichGridPagersStatus" runat="server"></uc2:RichGridPagers>
																								<BR>
																							</font></strong>
																						<table width="100%" cellpadding="2" cellspacing="0">
																							<tr>
																								<td Width="35%"  valign="top" align="left">
																									<asp:textbox id="tbName" runat="server" Width="100%" MaxLength="50" CssClass="standard-text"></asp:textbox>
																									<asp:customvalidator Display="Dynamic" id="cvStatusNameRequired" runat="server" ErrorMessage="Status name is a required field">*</asp:customvalidator>
																									<br><asp:customvalidator Display="Dynamic" id="cvDuplicateStatusName" runat="server" ErrorMessage="Duplicate status names are not allowed">*</asp:customvalidator>
																								</td>
																								<td width="17%"  valign="top" align="center">
																									<asp:dropdownlist id="ddlType" runat="server" Width="100%" CssClass="standard-text">
																										<asp:ListItem Value="Task">Task</asp:ListItem>
																										<asp:ListItem Value="Project">Project</asp:ListItem>
																										<asp:ListItem Value="Bug">Bug</asp:ListItem>
																										<asp:ListItem Value="Request">Request</asp:ListItem>
																									</asp:dropdownlist></td>
																								<td width="33%"  valign="top" align="center">
																									<asp:dropdownlist id="ddlTreatAsCompleted" runat="server" Width="100%" CssClass="standard-text">
																										<asp:ListItem Value="0">False</asp:ListItem>
																										<asp:ListItem Value="1">True</asp:ListItem>
																									</asp:dropdownlist></td>
																								<td vAlign="top" align="left" width="20%"><asp:imagebutton id="btnStatAdd" runat="server" ImageUrl="images/add.png"></asp:imagebutton></td>
																							</tr>
																						</table>
																					</TD>
																				</tr>
																			</table>
																		</td>
																		<td vAlign="top" width="50%" height="100%">
																			<table height="100%" width="100%">
																				<tr width="100%">
																					<td vAlign="top" width="100%"><strong><font size="1"><asp:label id="lblBugTypes" runat="server">Bug Types</asp:label><BR>
																								<BR>
																								<asp:datagrid id="dgBugTypes" AllowPaging="False" runat="server" Width="100%" BorderColor="White"
																									AutoGenerateColumns="False" CellPadding="2" PageSize="30" AllowSorting="True" BorderWidth="0px">
																									<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
																									<ItemStyle CssClass="list-item"></ItemStyle>
																									<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																									<Columns>
																										<asp:TemplateColumn HeaderText="Name" SortExpression="Name">
																											<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="85%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												<%# DataBinder.Eval(Container, "DataItem.Name") %>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:TextBox id=tbBugTypeName runat="server" Width="168px" CssClass="standard-text" MaxLength="50" text='<%# DataBinder.Eval(Container, "DataItem.Name") %>'>
																												</asp:TextBox>
																												<asp:RequiredFieldValidator id="rfvEdBugTypeName" runat="server" Display="Dynamic" ControlToValidate="tbBugTypeName" ErrorMessage="Bug Type name is required">*</asp:RequiredFieldValidator>
																												<asp:CustomValidator id="cvEdDuplicateBugTypes" runat="server" ErrorMessage="Duplicate bug type names are not allowed">*</asp:CustomValidator>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																										<asp:TemplateColumn HeaderText="Action">
																											<HeaderStyle Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="15%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												<asp:ImageButton id="btnBTypeEdit" runat="server" ImageUrl="images/edit.gif" ToolTip="Edit this bug type" CommandName="Edit" CausesValidation="False"></asp:ImageButton>
																												<asp:ImageButton id="btnBTypeDelete" runat="server" ImageUrl="images/delete.gif" ToolTip="Delete this bug type" CommandName="Delete" CausesValidation="False"></asp:ImageButton>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:ImageButton id="btnBTypeSave" runat="server" ImageUrl="images/icon-floppy.gif" ToolTip="Save this bug type" CommandName="Update"></asp:ImageButton>
																												<asp:ImageButton id="btnBTypeCancel" runat="server" ImageUrl="images/cancel.gif" ToolTip="Cancel Editing" CommandName="Cancel" CausesValidation="False"></asp:ImageButton>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																									</Columns>
																									<PagerStyle HorizontalAlign="Center" Visible="False"></PagerStyle>
																								</asp:datagrid>
																								<uc2:RichGridPagers id="RichgridpagersBugTypes" runat="server"></uc2:RichGridPagers>
																								<BR>
																							</font></strong>
																						<table width="100%">
																							<tr>
																								<td width="85%" style="PADDING-LEFT: 5px; PADDING-RIGHT: 5px" valign="top" align="left"><asp:textbox id="tbBTName" runat="server" Width="100%" MaxLength="50" CssClass="standard-text"></asp:textbox>
																									<asp:customvalidator id="cvBugTypeNameRequired" runat="server" ErrorMessage="Bug type name is a required field">*</asp:customvalidator>
																									<asp:customvalidator id="cvDuplicateBugTypes" runat="server" ErrorMessage="Duplicate bug type names are not allowed">*</asp:customvalidator></td>
																								<td vAlign="top" align="left" width="15%"><asp:imagebutton id="btnBTAdd" runat="server" ImageUrl="images/add.png"></asp:imagebutton></td>
																							</tr>
																						</table>
																					</td>
																				</tr>
																				<tr width="100%">
																					<td vAlign="top" width="100%"><strong><font size="1"><asp:label id="lblCategories" runat="server">Categories</asp:label><BR>
																								<BR>
																								<asp:datagrid id="dgCategories" AllowPaging="False" runat="server" Width="100%" BorderColor="White"
																									AutoGenerateColumns="False" CellPadding="2" PageSize="30" AllowSorting="True" BorderWidth="0px">
																									<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
																									<ItemStyle CssClass="list-item"></ItemStyle>
																									<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																									<Columns>
																										<asp:TemplateColumn HeaderText="Name" SortExpression="Name">
																											<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="45%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												<%# DataBinder.Eval(Container, "DataItem.Name") %>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:TextBox id=tbCategoryName runat="server" Width="147px" CssClass="standard-text" MaxLength="50" text='<%# DataBinder.Eval(Container, "DataItem.Name") %>'>
																												</asp:TextBox>
																												<asp:RequiredFieldValidator id="rfvEdCategoryName" runat="server" Display="Dynamic" ControlToValidate="tbCategoryName" ErrorMessage="Category name is required">*</asp:RequiredFieldValidator>
																												<asp:CustomValidator id="cvEdDuplicateCategories" runat="server" ErrorMessage="Duplicate catogory name and/or abbreviation are not allowed">*</asp:CustomValidator>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																										<asp:TemplateColumn HeaderText="Abbreviation" SortExpression="Abbreviation">
																											<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="20%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												&nbsp;<%# DataBinder.Eval(Container, "DataItem.Abbreviation") %>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:TextBox id=tbAbb runat="server" Width="59px" CssClass="standard-text" MaxLength="4" text='<%# DataBinder.Eval(Container, "DataItem.Abbreviation") %>'>
																												</asp:TextBox>
																												<asp:RequiredFieldValidator id="rfvEdCateroryAbbreviation" runat="server" Display="Dynamic" ControlToValidate="tbAbb" ErrorMessage="Abbreviation is required">*</asp:RequiredFieldValidator>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																										<asp:TemplateColumn HeaderText="Duration" SortExpression="EstDuration">
																											<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="20%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												&nbsp;<%# DataBinder.Eval(Container, "DataItem.EstDuration") %>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:TextBox id=tbDuration runat="server" Width="51px" CssClass="standard-text" MaxLength="4" text='<%# DataBinder.Eval(Container, "DataItem.EstDuration") %>'>
																												</asp:TextBox>
																												<asp:RequiredFieldValidator id="rfvEdCategoryDuration" runat="server" Display="Dynamic" ControlToValidate="tbDuration" ErrorMessage="Duration is required">*</asp:RequiredFieldValidator>
																												<asp:CompareValidator id="cvEdCategoryDurationNumeric" runat="server" Operator="DataTypeCheck" Type="Double" Display="Dynamic" ControlToValidate="tbDuration" ErrorMessage="Duration must be numeric">*</asp:CompareValidator>
																												<asp:CompareValidator id="cvEdCategoryDurationPositive" runat="server" Operator="GreaterThan" Type="Double" Display="Dynamic" ControlToValidate="tbDuration" ErrorMessage="Duration must be positive" ValueToCompare="0">*</asp:CompareValidator>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																										<asp:TemplateColumn HeaderText="Action">
																											<HeaderStyle Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																												Width="15%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																											<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																											<ItemTemplate>
																												<asp:ImageButton id="btnCatEdit" runat="server" ImageUrl="images/edit.gif" CausesValidation="False" CommandName="Edit" ToolTip="Edit this category"></asp:ImageButton>
																												<asp:ImageButton id="btnCatDelete" runat="server" ImageUrl="images/delete.gif" CausesValidation="False" CommandName="Delete" ToolTip="Delete this category"></asp:ImageButton>
																											</ItemTemplate>
																											<EditItemTemplate>
																												<asp:ImageButton id="btnCatSave" runat="server" ImageUrl="images/icon-floppy.gif" CommandName="Update" ToolTip="Save this category"></asp:ImageButton>
																												<asp:ImageButton id="btnCatCancel" runat="server" ImageUrl="images/cancel.gif" CausesValidation="False" CommandName="Cancel" ToolTip="Cancel Editing"></asp:ImageButton>
																											</EditItemTemplate>
																										</asp:TemplateColumn>
																									</Columns>
																									<PagerStyle HorizontalAlign="Center" Visible="False"></PagerStyle>
																								</asp:datagrid>
																								<uc2:RichGridPagers id="RichgridpagersCategories" runat="server"></uc2:RichGridPagers>
																								<BR>
																							</font></strong>
																						<table width="100%">
																							<tr width="100%">
																								<td width="45%" style="PADDING-LEFT: 5px; PADDING-RIGHT: 5px" valign="top" align="left"><asp:textbox id="tbCatName" runat="server" Width="100%" MaxLength="50" CssClass="standard-text"></asp:textbox>
																									<asp:customvalidator id="cvCategoryNameRequired" runat="server" ErrorMessage="Category name and abbreviation are required fields ">*</asp:customvalidator>
																									<asp:customvalidator id="cvDuplicateCategories" runat="server" ErrorMessage="Duplicate category names and/or abbreviations are not allowed">*</asp:customvalidator></td>
																								<td width="20%" style="PADDING-LEFT: 5px; PADDING-RIGHT: 5px" valign="top" align="left"><asp:textbox id="tbAbbrev" runat="server" Width="80px" MaxLength="4" CssClass="standard-text"></asp:textbox></td>
																								<td width="20%" style="PADDING-LEFT: 5px; PADDING-RIGHT: 5px" valign="top" align="left"><asp:textbox id="tbDur" runat="server" Width="48px" MaxLength="4" CssClass="standard-text"></asp:textbox>
																									<asp:comparevalidator id="cvPositiveDuration" runat="server" ErrorMessage="Duration must be positive"
																										Operator="GreaterThan" Type="Double" ControlToValidate="tbDur" ValueToCompare="0">*</asp:comparevalidator>
																									<asp:comparevalidator id="cvDurationValid" runat="server" ErrorMessage="Duration must be numeric" Operator="DataTypeCheck"
																										Type="Double" Display="Dynamic" ControlToValidate="tbDur">*</asp:comparevalidator>
																									<asp:customvalidator id="cvDurationRequired" runat="server" ErrorMessage="Duration is a required field">*</asp:customvalidator></td>
																								<td vAlign="top" align="left" style="PADDING: 0px"><asp:imagebutton id="btnCAdd" runat="server" ImageUrl="images/add.png"></asp:imagebutton></td>
																							</tr>
																						</table>
																					</td>
																				</tr>
																				<tr width="100%">
																					<td vAlign="top" width="100%"><strong><font size="1"><asp:label id="lblPriorities" runat="server">Priorities</asp:label></font></strong><BR>
																						<BR>
																						<asp:datagrid id="dgPriorities" AllowPaging="False" runat="server" Width="100%" BorderColor="White"
																							AutoGenerateColumns="False" CellPadding="2" PageSize="30" AllowSorting="True" BorderWidth="0px">
																							<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
																							<ItemStyle CssClass="list-item"></ItemStyle>
																							<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																							<Columns>
																								<asp:TemplateColumn HeaderText="Name" SortExpression="Name">
																									<HeaderStyle Font-Size="11px" Font-Underline="True" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																										Width="85%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<%# DataBinder.Eval(Container, "DataItem.Name") %>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:TextBox id=tbDGPriority runat="server" Width="160px" CssClass="standard-text" MaxLength="50" text='<%# DataBinder.Eval(Container, "DataItem.Name") %>'>
																										</asp:TextBox>
																										<asp:RequiredFieldValidator id="rfvEdPriorityName" runat="server" Display="Dynamic" ControlToValidate="tbDGPriority" ErrorMessage="Priority name is required">*</asp:RequiredFieldValidator>
																										<asp:CustomValidator id="cvEdDuplicatePriorities" runat="server" ErrorMessage="Duplicate priority names are not allowed">*</asp:CustomValidator>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																								<asp:TemplateColumn HeaderText="Action">
																									<HeaderStyle Font-Size="11px" Font-Names="verdana" Font-Bold="True" HorizontalAlign="Left"
																										Width="15%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																									<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
																									<ItemTemplate>
																										<asp:ImageButton id="btnPREdit" runat="server" ImageUrl="images/edit.gif" ToolTip="Edit this priority" CommandName="Edit" CausesValidation="False"></asp:ImageButton>
																										<asp:ImageButton id="btnPRDelete" runat="server" ImageUrl="images/delete.gif" ToolTip="Delete this priority" CommandName="Delete" CausesValidation="False"></asp:ImageButton>
																									</ItemTemplate>
																									<EditItemTemplate>
																										<asp:ImageButton id="btnPRSave" runat="server" ImageUrl="images/icon-floppy.gif" ToolTip="Save this priority" CommandName="Update"></asp:ImageButton>
																										<asp:ImageButton id="btnPRCancel" runat="server" ImageUrl="images/cancel.gif" ToolTip="Cancel Editing" CommandName="Cancel" CausesValidation="False"></asp:ImageButton>
																									</EditItemTemplate>
																								</asp:TemplateColumn>
																							</Columns>
																							<PagerStyle HorizontalAlign="Center" Visible="False"></PagerStyle>
																						</asp:datagrid>
																						<uc2:RichGridPagers id="RichgridpagersPriorities" runat="server"></uc2:RichGridPagers>
																						<BR>
																						<table width="100%">
																							<tr>
																								<td width="85%" style="PADDING-LEFT: 5px; PADDING-RIGHT: 5px" valign="top" align="left"><asp:textbox id="tbPriorityName" runat="server" Width="100%" MaxLength="50" CssClass="standard-text"></asp:textbox>
																									<asp:customvalidator id="cvPriorityNameRequired" runat="server" ErrorMessage="Priority name is a required field">*</asp:customvalidator>
																									<asp:customvalidator id="cvDuplicatePriorities" runat="server" ErrorMessage="Duplicate priority names are not allowed">*</asp:customvalidator></td>
																								<td vAlign="top" align="center" width="15%"><asp:imagebutton id="btnPRAdd" runat="server" ImageUrl="images/add.png"></asp:imagebutton></td>
																							</tr>
																						</table>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</TR>
																</TABLE>
															</td>
														</tr>
													</table>
												</td>
											</tr>
										</table>
									</TD>
								</TR>
							</TABLE>
						</td>
						<TD width="11"><IMG height="11" src="images/spacer.gif" width="11"></TD>
					</tr>
					<TR>
						<TD vAlign="top" colSpan="5" height="15"><IMG height="15" src="images/spacer.gif" width="15"></TD>
					</TR>
				</TBODY>
			</table></TD></TR><tr height="*">
				<td vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></td>
			</tr></TBODY></TABLE></FORM></TR></TBODY></TABLE>
	</body>
</HTML>
