<%@ Page Language="vb" AutoEventWireup="false" Codebehind="GanttRep.aspx.vb" Inherits="EasyProjects.Web.GUI.GanttRep"%>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Gantt Chart | Easy Projects .NET</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
		<script language="javascript">
				<!--
				var ArrayTitleHelp = new Array('{BR_GANTTCHART}','{BR_ACTIVBYUSER}');  
				var ArrayHelpText = new Array('{BR_GANTTCHART_HELP}','{BR_ACTIVBYUSER_HELP}');

				function ChangeType(type)
				{					
					var hls = document.getElementById('help_sourse');
					var hltitle = document.getElementById('title');
					
					if(hltitle.childNodes.length > 0)
							hltitle.removeChild(hltitle.childNodes.item(0));
					if(hls.childNodes.length > 0)
							hls.removeChild(hls.childNodes.item(0));				
					hltitle.appendChild(document.createTextNode(ArrayTitleHelp[type]));
					hls.appendChild(document.createTextNode(ArrayHelpText[type]));
				}
				
				//-->
		</script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="padding-bottom:50px;">
						<div id="center" class="panel" style="HEIGHT: 100%">
							<!-- table after DIV - tableDiv -->
							<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<!-- Table Report -->
										<TABLE id="TableReport" height="100%" cellSpacing="20" cellPadding="0" width="100%" border="0">
											<TBODY>
												<tr height="1%">
													<td class="title">{TITLE_PAGE}</td>
												</tr>
												<TR vAlign="top" height="*">
													<TD>
														<!-- begin TableSeection -->
														<TABLE id="tableSelector" class="filter-table" cellSpacing="1" cellPadding="1" width="100%" border="0">
															<tr>
																<td valign="top">
																<table cellpadding="0" cellspacing="0" border="0">
																	<tr>
																		<td>
																			<table border="0" cellpadding="0" cellspacing="0">
																				<tr>
																					<td style="PADDING-LEFT: 10px; PADDING-TOP:10px;" width="300">
																						<asp:dropdownlist id="listProject" runat="server" Width="300px" CssClass="input"></asp:dropdownlist>
																					</td>
																					<td>
																						<img src="spacer.gif" width="20" height="1">
																					</td>
																					<td style="PADDING-TOP: 10px;">
																						<table cellpadding="0" cellspacing="0" border="0">
																							<tr>																			
																								<TD width="5" align="right" valign="middle"><STRONG>Range:</STRONG>&nbsp;</TD>
																								<td valign="bottom" style="PADDING-TOP: 10px;" width="100">
																									<jsc:JSCalendarControl id="fromDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_FROM}"
																										RangeValidatorMessage="{RANGEVALID_DATE_FROM}" />
																								</td>
																								<td align="right" valign="middle" style="WIDTH: 15px;" ><strong>&nbsp;To:</strong>&nbsp;</td>
																								<td valign="bottom" width="100" style="PADDING-TOP: 10px;" >
																									<jsc:JSCalendarControl id="toDate" runat="server" CssClass="standard-text" Width="80px" CompareValidatorMessage="{COMPAREVALID_DATE_TO}"
																										RangeValidatorMessage="{RANGEVALID_DATE_TO}" />
																								</td>	
																							</tr>
																						</table>
																					</td>																		
																				</tr>																		
																			</table>
																		</td>																		
																	</tr>
																	<tr>
																		<td height="1px">
																			<asp:RequiredFieldValidator id="Validator1" runat="server" ErrorMessage="RequiredFieldValidator" ControlToValidate="listProject"></asp:RequiredFieldValidator>																	
																		</td>
																	</tr>
																<tr>
																	<td>
																		<table width="100%" border="0" cellspacing="0" cellpadding="0">
																			<tr>
																				<td width="100%">
																					<table width="100%"  border="0">
																					<tr>
																						<td>
																							<table border="0" cellpadding="2" cellspacing="0" width="100%">
																								<!-- Select Report Type -->
																								<TR>
																									<TD><STRONG>Type:</STRONG></TD>																						
																								</TR>
																								<tr>
																									<TD nowrap="true">
																										<asp:radiobutton id="rbGanttChart" CssClass="cursorpointer" runat="server" Checked="True" Text="{BR_GANTTCHART}" GroupName="0"></asp:radiobutton>
																									</TD>
																								</tr>
																								<TR>
																									<TD nowrap="true">
																										<asp:radiobutton id="rbActivityByUser" CssClass="cursorpointer" runat="server" Text="{BR_ACTIVBYUSER}" GroupName="0"></asp:radiobutton>
																									</TD>
																								</TR>
																								<tr>
																									<td valign="bottom" align="left">
																										<br>
																										<cc2:myimagebutton id="buttonRefresh" runat="server" DisabledImageUrl="images/refresh_disabled.png"
																											ImageUrl="images/refresh.png"></cc2:myimagebutton>
																									</td>
																								</tr>
																							</table>
																						</td>																						
																						<td align="center" valign="top">
																						<table><tr><td align="left">
																							<asp:ValidationSummary id="vsSumm" runat="server" HeaderText="Please, correct the following and try again"></asp:ValidationSummary>
																						</td></tr></table>
																						</td>																							
																					</tr>
																				</table>
																			</td>																																						
																		</tr>
																	</table>												
																</td>																
															</tr>
															</table>
															</td>
															<td valign="top" style="PADDING-RIGHT: 10px; PADDING-TOP:10px;" align="right">
																	<TABLE class="panel" cellSpacing="2" cellpadding="2"  width="250" border="0">
																		<TR>
																			<TD class="title" style="padding-bottom:2px"><img height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;</TD>
																			<td id="title"  class="title" style="padding-bottom:2px"></td>
																		</TR>
																		<TR>
																			<td>&nbsp;</td>
																			<TD valign="top" style="padding-top:0px;" id="help_sourse"></TD>
																		</TR>
																	</TABLE>
																</td>
															</tr>
														</TABLE>
														<!--end TableSelection -->														
														<!-- Print -->
														<!-- End Print -->
														<br>
														<!--<hr color="#d9eefe">-->
													</TD>
												</TR>
												<TR>
													<TD id="tdChart" vAlign="top" width="100%" height="1%" style="padding-bottom:5px;" bordercolor="green">
														<asp:image id="chart" runat="server"></asp:image><br><br>
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										<!-- End Table Report -->
									</TD>
								</TR>
							</TABLE>
							<!-- End TableReport -->
							<!-- End table after DIV - tableDiv -->
							
							<br>
						</div>						
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</TD>
				</TR>
			</TABLE>
				<script language=javascript>
				<!--
					function StartChangeType()
					{					
						var rbGanttChart = document.getElementById('<%=rbGanttChart.ClientID%>');
						var rbActivityByUser = document.getElementById('<%=rbActivityByUser.ClientID%>');
						if(rbGanttChart.checked)
						{
							ChangeType(0);
						}
						else
						{
							ChangeType(1);
						}
						
					}					
					StartChangeType();
					//-->
			</script>
		</FORM>
	</body>
</HTML>
