<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="NotificationList.aspx.vb" Inherits="EasyProjects.Web.GUI.NotificationList"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Notifications | Easy Projects .NET</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
		<meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" language="javascript" src="script.js"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="1">
				<TR height="1%">
					<TD vAlign="top">
						<uc1:Banner id="Banner1" runat="server"></uc1:Banner>
					</TD>
				</TR>
				<TR vAlign="top" >
					<TD>
						<div id="center" class="panel" style="HEIGHT: 100%">
							<!-- table after DIV - tableDiv -->
							<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<!-- Table Report -->
										<TABLE id="TableNotifList" cellSpacing="20" cellPadding="0" width="100%" border="0">
											<TBODY>
												<tr >
													<td class="title">
														<strong><span>{PAGE_TITLE}:&nbsp;</span>
															<asp:Label id="labelForProject" ForeColor="black" runat="server"></asp:Label>
														</strong>
													</td>
												</tr>
												<TR vAlign="top" >
													<TD>
														<cc2:myimagebutton ID="buttonCreateNewNotification" Runat="server" ImageUrl="images/create_new_rule.gif"></cc2:myimagebutton>
														&nbsp;
														<cc2:myimagebutton id="buttonGoBack" runat="server" ImageURL="images/back.png" DisabledImageURL="images/back_disabled.png"></cc2:myimagebutton>
														<br>
														<TABLE id="tableNoData" width="100%" border="0" runat="server">
															<tr>
																<td><br>
																	<hr color="black">
																</td>
															</tr>
															<TR>
																<TD>
																	<table runat="server" id="nodataTable">
																		<tr>
																			<td>{NODATAMSG}</td>
																		</tr>
																	</table>
																</TD>
															</TR>
														</TABLE>
														<!-- Table ListReports -->
														<TABLE id="tableListNotifications" cellSpacing="0" cellPadding="0" width="100%" border="0">
															<tr>
																<td>
																	<br>
																	<asp:datagrid id="gridNotif" runat="server" CssClass="object-list" AllowSorting="True" AutoGenerateColumns="False"
																		BorderStyle="Solid">
																		<AlternatingItemStyle VerticalAlign="Top" CssClass="list-alt-item"></AlternatingItemStyle>
																		<ItemStyle VerticalAlign="Top" CssClass="list-item"></ItemStyle>
																		<HeaderStyle CssClass="object-list-header"></HeaderStyle>
																		<Columns>
																			<asp:HyperLinkColumn SortExpression="Title" DataNavigateUrlField="NotificationID" DataNavigateUrlFormatString="NotificationDetails.aspx?id={0}"
																				DataTextField="Title" HeaderText="{COL_TITLE}">
																				<HeaderStyle Width="80%" CssClass="object-list-header"></HeaderStyle>
																				<ItemStyle CssClass="list-item-inst"></ItemStyle>
																			</asp:HyperLinkColumn>
																			<asp:TemplateColumn HeaderText="{COL_ACTION}">
																				<HeaderStyle Width="20%" CssClass="object-list-header" HorizontalAlign=Center></HeaderStyle>
																				<ItemStyle CssClass="list-action-item" HorizontalAlign=Center VerticalAlign=Middle></ItemStyle>
																				<ItemTemplate>
																					<TABLE id="tableButtons" class="project-list-action" height="16" cellSpacing="0" cellPadding="0" border="0">
																						<TR align=center>
																							<TD align="center">
																								<A class=blacklineheight title="Edit" style="border:0px;" href='NotificationDetails.aspx?id=<%# DataBinder.Eval(Container.DataItem, "NotificationID") %>'>
																									<IMG id="imageEdit" alt="Edit notification" src="images/edit.gif" border="0"></A>
																							</TD>
																							<td width="30%"><img src="images/spacer.gif" width="1px" height="1px" border="0" /></td>
																							<TD align="center">
																								<cc2:MyImageButton id="buttonDelete" runat="server" ImageUrl="images/delete.gif" Height="16px" Width="16px"
																									DisabledImageUrl="images/delete_disabled.gif" CommandName="DeleteNotification" ToolTip="Delete notification"></cc2:MyImageButton>
																							</TD>
																						</TR>
																					</TABLE>
																				</ItemTemplate>
																			</asp:TemplateColumn>
																		</Columns>
																	</asp:datagrid>
																</td>
															</tr>
														</TABLE>
														<!-- End Table ListReports -->
													</TD>
												</TR>
											</TBODY>
										</TABLE>
										<!-- End TableReport -->
									</TD>
								</TR>
							</TABLE>
							<!-- End table after DIV - tableDiv -->
						</div>
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom">
						<uc1:Footer id="Footer1" runat="server"></uc1:Footer>
					</TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
