<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="ProjectMembers.aspx.vb" Inherits="EasyProjects.Web.GUI.ProjectMembers" %>
<%@ Import Namespace="EasyProjects.BusinessLogic" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Manage Project Members - Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio.NET 7.0" name="GENERATOR">
		<meta content="Visual Basic 7.0" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server" MS_POSITIONING="FlowLayout">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table4" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<TABLE id="Table6" cellSpacing="10" cellPadding="10" width="100%" border="0">
							<TR>
								<TD id="left">
									<TABLE class="panel" id="Table5" cellSpacing="5" cellPadding="5" width="100%" border="0">
										<TR>
											<TD class="title">{PG_TITLE}&nbsp;<strong><asp:label id="ProjName" ForeColor="black" runat="server"></asp:label></strong></TD>
											<TD vAlign="bottom" align="right">
												<TABLE width="100" border="0">
													<TR>
														<TD><cc2:myimagebutton id="btnSave" runat="server" DisabledImageUrl="images/save_disabled.png" ImageUrl="images/save.png"></cc2:myimagebutton></TD>
														<TD><cc2:myimagebutton id="btnCancel" runat="server" DisabledImageUrl="images/cancel_disabled.png" ImageUrl="images/cancel.png"
																CausesValidation="False"></cc2:myimagebutton></TD>
													</TR>
												</TABLE>
											</TD>
										</TR>
										<TR>
											<TD colSpan="2"><asp:label id="lblErr" runat="server" ForeColor="Red"></asp:label></TD>
										</TR>
										<TR>
											<TD colSpan="2"><asp:datagrid id="dgProjectUsers" runat="server" CssClass="object-list" AllowSorting="true" AutoGenerateColumns="False"
													Width="100%">
													<AlternatingItemStyle CssClass="list-alt-item" VerticalAlign="Top"></AlternatingItemStyle>
													<ItemStyle CssClass="list-item" VerticalAlign="Top"></ItemStyle>
													<HeaderStyle CssClass="object-list-header"></HeaderStyle>
													<Columns>
														<asp:TemplateColumn SortExpression="Check" HeaderText="{COL_PROJM}">
															<HeaderStyle Width="1%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
															<ItemTemplate>
																<asp:checkbox id="cbCheckUser" runat="server" AutoPostBack="false" EnableViewState="True"></asp:checkbox><BR>
															</ItemTemplate>
														</asp:TemplateColumn>
														<asp:BoundColumn DataField="DisplayName" SortExpression="DisplayName" HeaderText="{COL_EMPL}">
															<HeaderStyle Width="40%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
														</asp:BoundColumn>
														<asp:TemplateColumn HeaderText="{COL_ROLE}">
															<HeaderStyle Width="28%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle HorizontalAlign="Left" CssClass="list-item-inst" VerticalAlign="Middle"></ItemStyle>
															<ItemTemplate>
																<asp:dropdownlist id="ddlUserRole" runat="server" Width="100%" AutoPostBack="false" CssClass="Standard-text">
																	<asp:ListItem Value="5" Selected="True">Developer</asp:ListItem>
																	<asp:ListItem Value="4">Customer</asp:ListItem>
																	<asp:ListItem Value="6">QA</asp:ListItem>
																</asp:dropdownlist>
															</ItemTemplate>
														</asp:TemplateColumn>
														<asp:TemplateColumn HeaderText="{COL_PERM}">
															<HeaderStyle Width="10%" CssClass="object-list-header"></HeaderStyle>
															<ItemStyle HorizontalAlign="Center" CssClass="list-action-item" VerticalAlign="Middle"></ItemStyle>
															<ItemTemplate>
																<asp:HyperLink BorderWidth="0" id="hlProjPermissions" runat="server" ImageUrl="images/edit.gif"
																	ToolTip="Edit Permissions"></asp:HyperLink>
															</ItemTemplate>
														</asp:TemplateColumn>
													</Columns>
												</asp:datagrid></TD>
										</TR>
									</TABLE>
								</TD>
								<TD id="right" width="250" vAlign="top">
									<TABLE class="panel" cellSpacing="2" cellPadding="2" width="250" border="0">
										<TR>
											<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
											<TD><FONT style="TEXT-DECORATION: line-through" color="red">John Smith</FONT> - 
												{INFO_1}</TD>
										</TR>
										<TR>
											<TD></TD>
											<TD><FONT color="green">John Smith</FONT><FONT color="black"> - {INFO_2}</FONT></TD>
										</TR>
									</TABLE>
								</TD>
							</TR>
						</TABLE>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer2" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
