<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="uc1" TagName="WflHistory" Src="WflHistory.ascx" %>
<%@ Register TagPrefix="uc1" TagName="UploadControl" Src="UploadControl.ascx" %>
<%@ Register TagPrefix="uc1" TagName="CustomFieldsCtrl" Src="CustomFieldsCtrl.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="TaskDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.TaskDetails" ValidateRequest="False" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ObjectCardMenu" Src="ObjectCardMenu.ascx" %>
<%@ Register TagPrefix="editor" Namespace="DescriptionEditor" Assembly="DescriptionEditor" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title runat="server" id="mainPageTitle">Task Details | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table11" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner><INPUT id="doSaveStatus" type="hidden" runat="server"></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
						<TABLE class="panel" Visible="False" id="tblCompleted" cellSpacing="5" cellPadding="5"
							width="100%" border="0" runat="server">
							<TR>
								<TD width="21"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
								<TD><asp:label id="completeReason" runat="server"></asp:label></TD>
							</TR>
						</TABLE>
						<BR>
						<table id="taskDetailsTable" height="100%" cellSpacing="5" cellPadding="5" width="100%"
							runat="server">
							<tr>
							</tr>
							<tr>
								<td id="left" vAlign="top">
									<!-- LEFT PANEL BEGIN -->
									<table class="panel" cellSpacing="10" style="WIDTH:100%" cellPadding="0">
										<tr>
											<td class="title" colSpan="2"><asp:label id="pgTitle" runat="server">Page Title</asp:label>
												<asp:label id="taskIDLbl" runat="server" CssClass="highlight">ID</asp:label>&nbsp;<asp:label id=taskID runat="server" CssClass="highlight" ForeColor="Black" Text='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].TaskID") %>'>
												</asp:label></td>
										</tr>
										<tr>
											<td align="left">
												<TABLE id="Table1" cellSpacing="2" cellPadding="2" border="0">
													<tr>
														<td><asp:hyperlink id="viewMsgBoard" runat="server" ImageUrl="images/View_Message_Board.png">View Message Board</asp:hyperlink></td>
													</tr>
												</TABLE>
											</td>
											<td align="right"><uc1:objectcardmenu id="topButtons" runat="server"></uc1:objectcardmenu></td>
										</tr>
										<TR>
											<TD colSpan="2">
												<TABLE class="ex" id="Table2" width="100%" border="0">
													<TR>
														<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle">&nbsp;
															<asp:label id="infoMsg" runat="server">Info Message</asp:label></TD>
													</TR>
												</TABLE>
												<asp:validationsummary id="ValidationSummary1" runat="server" HeaderText="{VALID_SUMM_TEXT}" Width="672px"></asp:validationsummary>
												
											</TD>
										</TR>
										<tr>
											<td colSpan="2">
												<TABLE id="Table3" cellSpacing="5" cellPadding="5" width="100%" border="0">
													<TR>
														<TD vAlign="top" width="10%">
															<TABLE id="Table4" cellSpacing="2" cellPadding="2" width="100%" border="0">
																<TR>
																	<TD class="filter-title" vAlign="top" width="1">
																		<table width="300" border="0">
																			<TR>
																				<TD class="filter-title" colSpan="2">{CPT_TASKTYPE}:</TD>
																			</TR>
																			<TR>
																				<TD class="filter-title" colSpan="2">
																					<asp:dropdownlist id="taskType" runat="server" CssClass="input" Width="286px" AutoPostBack="True">
																						<asp:ListItem Value="1">Task</asp:ListItem>
																						<asp:ListItem Value="2">Bug</asp:ListItem>
																						<asp:ListItem Value="3">Request</asp:ListItem>
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD class="filter-title" colSpan="2">{CPT_TITLE}:
																					<asp:requiredfieldvalidator id="RequiredFieldValidator1" runat="server" ErrorMessage="{TITLE_REQD}" ControlToValidate="taskTitle">*</asp:requiredfieldvalidator>
																				</TD>
																			</TR>
																			<TR>
																				<TD colSpan="2">
																					<asp:textbox id=taskTitle runat="server"  CssClass="input" Text='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].Title") %>' MaxLength="100" Width="286px">
																					</asp:textbox>
																				</TD>
																			</TR>
																			<TR>
																				<TD colSpan="2"><STRONG>{CPT_PROJECT}: </STRONG>
																				</TD>
																			</TR>
																			<TR>
																				<TD colSpan="2">
																					<asp:dropdownlist id=projectList runat="server" CssClass="input"  Width="286px" AutoPostBack="True" DataValueField="ProjectID" DataTextField="Name" DataMember="TT_Projects" DataSource="<%# taskSchema %>">
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD id="elementParentTitle" colSpan="2" runat="server"><STRONG>{CPT_PARENTTASK}:</STRONG></TD>
																			</TR>
																			<TR>
																				<TD id="elementParent" colSpan="2" runat="server">
																					<asp:dropdownlist id="parentTask" runat="server" CssClass="input" Width="286px"></asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD id="elementCategoryTitle" colSpan="2" runat="server"><STRONG>{CPT_CATEGORY}:</STRONG></TD>
																			</TR>
																			<TR>
																				<TD id="elementCategory" colSpan="2" runat="server">
																					<asp:dropdownlist id=catList runat="server" CssClass="input"  Width="286px" DataValueField="CategoryID" DataTextField="Name" DataMember="TT_Categories" DataSource="<%# taskSchema %>">
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD colSpan="2"><STRONG>{CPT_STATUS}:</STRONG><asp:CustomValidator ID="AssignedValidator" Runat="server" ErrorMessage="{VAL_ASSIGNED}">*</asp:CustomValidator></TD>
																			</TR>
																			<TR>
																				<TD colSpan="2">
																					<asp:dropdownlist id=statusList runat="server" CssClass="input"  Width="286px" DataValueField="Number" DataTextField="StatusName" DataSource="<%# Statuses %>">
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD colSpan="2"><STRONG>{CPT_PRIORITY}:</STRONG></TD>
																			</TR>
																			<TR>
																				<TD colSpan="2">
																					<asp:dropdownlist id=priorityList runat="server" CssClass="input"  Width="286px" DataValueField="Number" DataTextField="Name" DataMember="DD_Priorities" DataSource="<%# taskSchema %>">
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD class="filter-title" id="elementBugTypeTitle" colSpan="2" runat="server">{CPT_BUG_TYPE}:</TD>
																			</TR>
																			<TR>
																				<TD id="elementBugType" colSpan="2" runat="server">
																					<asp:dropdownlist id=bugType runat="server" CssClass="input"  Width="286px" DataValueField="Number" DataTextField="Name" DataMember="DD_BugTypes" DataSource="<%# taskSchema %>">
																					</asp:dropdownlist>
																				</TD>
																			</TR>
																			<TR>
																				<TD id="elementStartDateTitle" runat="server"><STRONG>{CPT_STARTDATE}:</STRONG></TD>
																				<td id="elementEndDateTitle" runat="server">
																					<STRONG>{CPT_ENDDATE}:</STRONG>
																					<asp:CustomValidator ID="customValidatorDates" Runat="server" ErrorMessage="{VALID_DATES}">*</asp:CustomValidator>
																				</td>
																			</TR>
																			<TR>
																				<TD id="elementStartDate" runat="server">
																					<jsc:JSCalendarControl id=startDate runat="server" CssClass="input" ShowUpperBlankLine="False" IsEmpty="True" PostBackOnChange="False" Date='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].StartDate", "{0:d}") %>' RequiredValidatorMessage=" " IsValid="True" RangeValidatorMessage=" " CompareValidatorMessage=" " Width="98px" />
																				</TD>
																				<td id="elementEndDate" runat="server">
																					<jsc:JSCalendarControl id=endDate runat="server" CssClass="input" ShowUpperBlankLine="False" IsEmpty="True" PostBackOnChange="False" Date='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].EstCompletionDate", "{0:d}") %>' RequiredValidatorMessage=" " IsValid="True" RangeValidatorMessage=" " CompareValidatorMessage=" " Width="98px" />
																				</td>
																			</TR>
																			<TR>
																				<TD id="elementEstDurTitle" runat="server">
																					<STRONG>{CPT_ESTDUR}:
																						<asp:comparevalidator id="DurationCompareValidator" runat="server" Width="8px" ErrorMessage="{VAL_DUR1}"
																							ControlToValidate="estDuration" Type="Currency" Operator="DataTypeCheck">*</asp:comparevalidator>
																						<asp:regularexpressionvalidator id="regexpValidatorDuration" ErrorMessage="{VAL_DUR3}" ControlToValidate="estDuration"
																							Runat="server" ValidationExpression="[0-9]{0,10}([\.,][0-9]{0,2}){0,1}">*</asp:regularexpressionvalidator>
																					</STRONG>
																				</TD>
																				<td id="elementProgressTitle" runat="server">
																					<STRONG>{CPT_COMPLETED}:
																						<asp:requiredfieldvalidator id="RequiredFieldValidator3" runat="server" ErrorMessage="{PROGRESS_REQD}" ControlToValidate="taskProgress">*</asp:requiredfieldvalidator>
																						<asp:comparevalidator id="cvPercentCompl" runat="server" ErrorMessage="{VAL_PROGRESS1}" ControlToValidate="taskProgress"
																							Type="Integer" Operator="DataTypeCheck">*</asp:comparevalidator>
																						<asp:rangevalidator id="rvPercentCompl" runat="server" ErrorMessage="{VAL_PROGRESS2}" ControlToValidate="taskProgress"
																							Type="Integer" MinimumValue="0" MaximumValue="100">*</asp:rangevalidator>
																					</STRONG>
																				</td>
																			</TR>
																			<TR>
																				<TD id="elementEstDur" runat="server">
																					<asp:textbox id=estDuration runat="server" CssClass="input" Text='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].EstDuration", "{0:##.00}") %>' Width="48px">
																					</asp:textbox>
																					&nbsp;{HRS}
																				</TD>
																				<td id="elementProgress" runat="server">
																					<asp:textbox id=taskProgress runat="server" CssClass="input" Text='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].PercentCompleted") %>' Width="47px">
																					</asp:textbox>
																					%
																				</td>
																			</TR>
																			<TR>
																				<TD colSpan="2">
																					<div style="min-width: 100px">&nbsp;</div>
																				</TD>
																			</TR>
																		</table>
																	</TD>
																	<TD vAlign="top" width="100%">
																		<table height="100%" width="100%">
																			<tr>
																				<td class="filter-title">{CPT_DESCR}:<asp:customvalidator id="customValidator_Description" runat="server" ErrorMessage="{DESCR_REQD}" OnServerValidate="Description_Validate">*</asp:customvalidator></td>
																			</tr>
																			<TR>
																				<TD class="filter-title">
																					<EDITOR:EDITOR id=description runat="server" Text='<%# DataBinder.Eval(taskSchema, "Tables[vwTasks].DefaultView.[0].Description") %>' 
																						Width="100%" BasePath="FCKeditor/" 
																						ToolbarSet="MyToolbarSet" ReadOnly="False" 
																						height="400px" 
																						Visible="True">
																					</EDITOR:EDITOR>
																				</TD>
																			</TR>
																		</table>
																	</TD>
																</TR>
															</TABLE>
														</TD>
													</TR>
												</TABLE>
											</td>
										</tr>
										<TR>
											<TD align="left" colSpan="2">
												<P align="left"><uc1:customfieldsctrl id="custFields" runat="server"></uc1:customfieldsctrl></P>
											</TD>
										</TR>
										<TR>
											<TD align="right" colSpan="2">
												<P align="left"><STRONG>{ATTACH}:<BR>
														<BR>
													</STRONG>
													<uc1:uploadcontrol id="Uploader" runat="server"></uc1:uploadcontrol></P>
											</TD>
										</TR>
										<TR>
											<TD align="right" colSpan="2">
												<P align="left"><uc1:wflhistory id="wflHistory" runat="server"></uc1:wflhistory></P>
											</TD>
										</TR>
										<tr>
											<td align="left">
												<TABLE id="Table_2" cellSpacing="2" cellPadding="2" border="0">
													<tr>
														<td><asp:hyperlink id="viewMsgBoard_2" runat="server" ImageUrl="images/View_Message_Board.png">View Message Board</asp:hyperlink></td>
													</tr>
												</TABLE>
											</td>
											<td align="right" colSpan="2"><uc1:objectcardmenu id="bottomButtons" runat="server"></uc1:objectcardmenu></td>
										</tr>
									</table>
									<!-- LEFT PANEL END --></td>
								<td id="right" vAlign="top"><!-- RIGHT PANEL BEGIN -->
									<asp:PlaceHolder ID="plAssignees" Runat="server">
										<TABLE class="panel" id="assigneeTable" style="MARGIN-BOTTOM: 20px" cellSpacing="2" cellPadding="2"
											width="100%" border="0">
											<TR>
												<TD class="title">{ASS_TITLE}</TD>
											</TR>
											<TR>
												<TD>
													<asp:datagrid id=dgAss runat="server" CssClass="object-list" Width="100%" DataSource="<%# taskSchema.TT_Users.DefaultView %>" DataKeyField="UserID" CellPadding="2" AutoGenerateColumns="False" Font-Name="Verdana" font-names="Verdana" BorderColor="#EEF3EF" DESIGNTIMEDRAGDROP="131">
														<AlternatingItemStyle CssClass="list-alt-item"></AlternatingItemStyle>
														<ItemStyle CssClass="list-item"></ItemStyle>
														<HeaderStyle CssClass="object-list-header"></HeaderStyle>
														<Columns>
															<asp:BoundColumn Visible="False" DataField="UserID"></asp:BoundColumn>
															<asp:TemplateColumn HeaderText="User">
																<HeaderStyle Wrap="False" HorizontalAlign="Left" Width="50%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																<ItemStyle HorizontalAlign="Left" CssClass="list-item-inst"></ItemStyle>
																<ItemTemplate>
																	<asp:CheckBox id=chkUser runat="server" Width="100%" CssClass="standard-text" Text='<%# DataBinder.Eval(Container, "DataItem.DisplayName") %>' Checked='<%# getAssigneeState("checked", DataBinder.Eval(Container, "DataItem")) %>' Enabled='<%# getAssigneeState("enabled", DataBinder.Eval(Container, "DataItem")) %>'>
																	</asp:CheckBox>
																</ItemTemplate>
															</asp:TemplateColumn>
															<asp:TemplateColumn SortExpression="Role" HeaderText="Role">
																<HeaderStyle Wrap="False" HorizontalAlign="Left" Width="50%" CssClass="object-list-header" VerticalAlign="Middle"></HeaderStyle>
																<ItemStyle HorizontalAlign="Left" CssClass="list-item-inst"></ItemStyle>
																<ItemTemplate>
																	<%# DataBinder.Eval(Container, "DataItem.RoleName") %>
																</ItemTemplate>
															</asp:TemplateColumn>
														</Columns>
													</asp:datagrid></TD>
											</TR>
										</TABLE>
									</asp:PlaceHolder>
									<TABLE class="panel" id="tblBilling" cellSpacing="2" cellPadding="2" width="100%" border="0"
										runat="server">
										<TR>
											<TD class="title">{BILLING}</TD>
										</TR>
										<TR>
											<TD>{SPECIFY_BS}</TD>
										</TR>
										<TR>
											<TD><asp:checkbox id="chkBillable" runat="server" Text="{CHK_BILLABLE}"></asp:checkbox></TD>
										</TR>
										<TR>
											<TD><asp:radiobutton id="rbtnHourly" runat="server" Text="{RBTN_HRLY}" Checked="True" GroupName="billing"></asp:radiobutton></TD>
										</TR>
										<tr>
											<td><asp:radiobutton id="rbtnFixed" runat="server" Text="{RBTN_FIXED}" GroupName="billing"></asp:radiobutton></td>
										</tr>
										<TR>
											<TD class="filter-title" align="left" colSpan="2">{AMOUNT}:<asp:requiredfieldvalidator id="rfvAmount" runat="server" ErrorMessage="{VAL_AMT1}" ControlToValidate="Amount"
													EnableClientScript="False">*</asp:requiredfieldvalidator><asp:rangevalidator id="cvAmount" runat="server" ErrorMessage="{VAL_AMT2}" ControlToValidate="Amount"
													Type="Currency" MinimumValue="0" MaximumValue="999999">*</asp:rangevalidator></TD>
										</TR>
										<TR>
											<TD align="left" colSpan="2"><asp:textbox id="Amount" runat="server" CssClass="input" Width="100px" MaxLength="6">0</asp:textbox></TD>
										</TR>
									</TABLE>
								</td>
							</tr>
						</table>
					</TD>
				</TR>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
