<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ObjectCardMenu" Src="ObjectCardMenu.ascx" %>
<%@ Page Language="vb" AutoEventWireup="false" Codebehind="UserDetails.aspx.vb" Inherits="EasyProjects.Web.GUI.UserDetail"%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>User Details | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TBODY>
					<TR height="1%">
						<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
					</TR>
					<TR height="80%">
						<TD vAlign="top" style="PADDING-RIGHT: 10px; PADDING-LEFT: 10px; PADDING-BOTTOM: 10px; PADDING-TOP: 10px">
							<TABLE id="Table13" cellSpacing="5" cellPadding="0" width="800" border="0">
								<TBODY>
									<TR>
										<TD valign="top">
											<TABLE height="1" cellpadding="0" cellspacing="0" border="0" id="left">
												<tr>
													<td valign="top">
														<TABLE class="panel" id="Table2" style="WIDTH:100%;HEIGHT:100%" cellSpacing="5" cellPadding="5"
															border="0">
															<TBODY>
																<TR>
																	<TD class="title" style="WHITE-SPACE: nowrap">{PG_TITLE}</TD>
																	<TD align="right"><uc1:objectcardmenu id="topButtons" runat="server"></uc1:objectcardmenu></TD>
																</TR>
																<TR>
																	<TD colSpan="2"><asp:validationsummary id="valSummary" runat="server" Width="360px" HeaderText="{VALID_SUMM_TEXT}" DESIGNTIMEDRAGDROP="175"></asp:validationsummary></TD>
																</TR>
																<TR>
																	<TD colSpan="2">
																		<TABLE id="Table3" cellSpacing="2" cellPadding="2" width="100%" border="0">
																			<TBODY>
																				<TR>
																					<TD class="filter-title" style="WIDTH: 250px">{USER_NAME}
																						<asp:requiredfieldvalidator id="RequiredFieldValidator1" runat="server" ControlToValidate="UserName" ErrorMessage="{VAL_USERNAME}">*</asp:requiredfieldvalidator><asp:customvalidator id="validateUserName" runat="server" ErrorMessage="{USER_EXISTS}">*</asp:customvalidator></TD>
																					<TD class="filter-title" style="WIDTH: 250px">{DISPLAY_NAME}
																						<asp:requiredfieldvalidator id="rfvDisName" runat="server" DESIGNTIMEDRAGDROP="195" ControlToValidate="DisplayName"
																							ErrorMessage="{VAL_DISPLAYNAME}">*</asp:requiredfieldvalidator>
																						<asp:customvalidator id="validateDisplayName" runat="server" ErrorMessage="{DISPLAYNAME_EXISTS}">*</asp:customvalidator>
																					</TD>
																				</TR>
																				<TR>
																					<TD style="WIDTH: 250px"><asp:textbox id=UserName runat="server" Width="180px" MaxLength="50" CssClass="input" Text='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].UserName") %>'>
																						</asp:textbox></TD>
																					<TD><asp:textbox id=DisplayName runat="server" Width="180px" MaxLength="50" CssClass="input" Text='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].DisplayName") %>'>
																						</asp:textbox></TD>
																				</TR>
																				<TR>
																					<TD class="filter-title" style="WIDTH: 250px">{ROLE}:</TD>
																					<TD class="filter-title" id="tdCustTitle">{CUSTOMER_LIST}:
																						<asp:customvalidator id="validateCustomer" runat="server" ErrorMessage="{VAL_CUST}">*</asp:customvalidator></TD>
																				</TR>
																				<TR>
																					<TD style="WIDTH: 250px"><asp:dropdownlist id=Roles runat="server" Width="180px" CssClass="input" SelectedValue='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].RoleID") %>' DataSource="<%# userEntity.TT_Roles.DefaultView %>" DataTextField="Name" DataValueField="RoleID">
																						</asp:dropdownlist></TD>
																					<TD>
																						<asp:dropdownlist id=CustList runat="server" Width="180px" CssClass="input" DataSource="<%# AllowedCompanies %>" DataTextField="CompanyName" DataValueField="CustomerID">
																						</asp:dropdownlist>
																					</TD>
																	</TD>
																</TR>
																<TR>
																	<TD class="filter-title" style="WIDTH: 250px">{PWD1}:
																		<asp:requiredfieldvalidator id="validatePwd" runat="server" ControlToValidate="Password" ErrorMessage="{VAL_PWD1}">*</asp:requiredfieldvalidator></TD>
																	<TD class="filter-title" style="WIDTH: 250px">{PWD2}:
																		<asp:comparevalidator id="comvPasswords" runat="server" DESIGNTIMEDRAGDROP="230" ControlToValidate="ConfirmPassword"
																			ErrorMessage="{VAL_PWD2}" ControlToCompare="Password">*</asp:comparevalidator></TD>
																</TR>
																<TR>
																	<TD style="WIDTH: 250px"><asp:textbox id="Password" runat="server" Width="180px" MaxLength="50" CssClass="input" TextMode="Password"></asp:textbox></TD>
																	<TD><asp:textbox id="ConfirmPassword" runat="server" Width="180px" DESIGNTIMEDRAGDROP="234" MaxLength="50"
																			CssClass="input" TextMode="Password"></asp:textbox></TD>
																</TR>
																<TR>
																	<TD class="filter-title" style="WIDTH: 250px">{EMAIL}:
																		<asp:regularexpressionvalidator id="revEmail" runat="server" ControlToValidate="Email" ErrorMessage="{VAL_EMAIL1}"
																			ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">*</asp:regularexpressionvalidator><asp:requiredfieldvalidator id="Requiredfieldvalidator2" runat="server" ControlToValidate="Email" ErrorMessage="{VAL_EMAIL2}">*</asp:requiredfieldvalidator></TD>
																	<TD class="filter-title" style="WIDTH: 250px">{DEF_HRLY_RATE}:
																		<asp:comparevalidator id="CompareValidator1" runat="server" ControlToValidate="HourlyRate" ErrorMessage="{VAL_RATE1}"
																			Operator="DataTypeCheck" Type="Currency">*</asp:comparevalidator><asp:requiredfieldvalidator id="RequiredFieldValidator4" runat="server" ControlToValidate="HourlyRate" ErrorMessage="{VAL_RATE2}">*</asp:requiredfieldvalidator><asp:comparevalidator id="CompareValidator2" runat="server" ControlToValidate="HourlyRate" ErrorMessage="{VAL_RATE3}"
																			Operator="GreaterThanEqual" ValueToCompare="0">*</asp:comparevalidator></TD>
																</TR>
																<TR>
																	<TD style="WIDTH: 250px"><asp:textbox id=Email runat="server" Width="180px" DESIGNTIMEDRAGDROP="249" MaxLength="50" CssClass="input" Text='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].Email") %>'>
																		</asp:textbox><asp:label id="EmailError" runat="server" DESIGNTIMEDRAGDROP="250" CssClass="standard-text"
																			ForeColor="Red" enableviewstate="False"></asp:label></TD>
																	<TD><asp:textbox id=HourlyRate runat="server" Width="64px" MaxLength="8" CssClass="input" Text='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].HourlyRate") %>'>
																		</asp:textbox></TD>
																</TR>
																<TR>
																	<TD class="filter-title" style="WIDTH: 250px">
																		{STATUS}:
																		<asp:customvalidator id="CustomvalidatorVisibility" ControlToValidate="UserStatus" runat="server" ErrorMessage="{USER_VISIBILITY}">*</asp:customvalidator>
																	</TD>
																</TR>
																<TR>
																	<TD style="WIDTH: 250px">
																		<asp:radiobuttonlist id=UserStatus runat="server" Width="132px" DESIGNTIMEDRAGDROP="261" SelectedValue='<%# DataBinder.Eval(userEntity, "Tables[TT_Users].DefaultView.[0].Enabled") %>' RepeatLayout="Flow" RepeatDirection="Horizontal">
																			<asp:ListItem Value="True">{STAT_ENABLE}</asp:ListItem>
																			<asp:ListItem Value="False">{STAT_DISABLE}</asp:ListItem>
																		</asp:radiobuttonlist>
																	</TD>
																</TR>
																<TR>
																</TR>
															</TBODY>
														</TABLE>
													</td>
												</tr>
												<TR>
													<TD align="right" colSpan="2"><uc1:objectcardmenu id="bottomButtons" runat="server"></uc1:objectcardmenu></TD>
												</TR>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
						<TD id="right" vAlign="top">
							<TABLE class="panel" id="Table11" cellSpacing="2" cellPadding="2" width="200" border="0">
								<TR>
									<TD vAlign="top" width="21"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
									<TD vAlign="top">{DIS_INFO}<BR>
									</TD>
								</TR>
								<TR>
									<TD vAlign="top"></TD>
									<TD vAlign="top">{PWD_INFO}</TD>
								</TR>
							</TABLE>
							<BR>
							<TABLE class="panel" id="removalReason" cellSpacing="2" cellPadding="2" width="200" border="0"
								runat="server">
								<TR>
									<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
									<TD colSpan="2">{CANT_REMOVE}</TD>
								</TR>
								<TR>
									<TD vAlign="top"><B>{REASON}</B></TD>
									<TD><asp:label id="lblCantDelete" runat="server" Width="90%"></asp:label></TD>
								</TR>
							</TABLE>
							<br>
							<TABLE class="panel" id="Table4" cellSpacing="2" cellPadding="2" width="200" border="0"
								runat="server">
								<TR>
									<TD vAlign="top"><IMG height="21" src="images/ex.gif" width="21" align="absMiddle"></TD>
									<TD colSpan="2">{USER_LACCESS}</TD>
								</TR>
								<TR>
									<TD vAlign="top">&nbsp;
									</TD>
									<TD align="left">
										<table border="0" cellpadding="0" cellspacing="0">
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_ADD}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_VIEW}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_VIEWREPORT}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_MIDIFY}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_VIEWPROJECT}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_UPLOAD}</td>
											</tr>
											<tr>
												<td valign="top">&#151;</td>
												<td>{USER_LIMITEDACCESS_USE}</td>
											</tr>
										</table>
										<br>
										<div>{USER_LIMITEDACCESS_NOTPOSSIBLE}</div>
									</TD>
								</TR>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			</TD></TR>
			<TR height="*">
				<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
			</TR>
			</TBODY></TABLE></FORM>
		</TR></TBODY></TABLE></TR></TBODY></TABLE></TR></TBODY></TABLE></TR></TBODY></TABLE></FORM>
	</body>
</HTML>
