<%@ Page Language="vb" AutoEventWireup="false" Codebehind="CustomReportRun.aspx.vb" Inherits="EasyProjects.Web.GUI.CustomReportRun"%>
<%@ Register TagPrefix="jsc" Namespace="JSCalendar" Assembly="JSCalendar" %>
<%@ Register TagPrefix="cc2" Namespace="SharedControls" Assembly="SharedControls" %>
<%@ Register TagPrefix="uc1" TagName="Footer" Src="Footer.ascx" %>
<%@ Register TagPrefix="uc1" TagName="Banner" Src="Banner.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>Custom Reports | Easy Projects .NET</title>
		<meta content="Microsoft Visual Studio .NET 7.1" name="GENERATOR">
		<meta content="Visual Basic .NET 7.1" name="CODE_LANGUAGE">
		<meta content="JavaScript" name="vs_defaultClientScript">
		<meta content="http://schemas.microsoft.com/intellisense/ie5" name="vs_targetSchema">
		<LINK href="style.css" type="text/css" rel="stylesheet">
		<script language="javascript" src="script.js" type="text/javascript"></script>
	</HEAD>
	<body id="pageBody" runat="server">
		<FORM id="Form1" method="post" runat="server">
			<TABLE id="Table1" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
				<TR height="1%">
					<TD vAlign="top"><uc1:banner id="Banner1" runat="server"></uc1:banner></TD>
				</TR>
				<TR vAlign="top" height="80%">
					<TD>
						<div class="panel" id="center" style="HEIGHT: 100%">
							<!-- table after DIV - tableDiv -->
							<TABLE id="TableDiv" height="100%" cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
									<TD vAlign="top">
										<!-- Table Report -->
										<TABLE id="TableReport" height="500" cellSpacing="20" cellPadding="0" width="100%" border="0">
											<tbody>
												<tr height="1%">
													<td class="title">{TITLE_PAGE}</td>
												</tr>
												<TR vAlign="top" height="*">
													<td>
														<!-- table AllControls -->
														<table id="tableAllPagesControls" cellSpacing="0" cellPadding="0" width="100%" border="0">
															<tr vAlign="top">
																<td>
																	<table class="report-dropdown-full" width="100%" border="0">
																		<tr>
																			<td style="PADDING-LEFT: 10px; PADDING-TOP: 10px; HEIGHT: 23px"><strong><asp:label id="labelReportName" runat="server">Label</asp:label><asp:textbox id="fakeTextBox" runat="server" Visible="False" EnableViewState="False">true</asp:textbox><asp:requiredfieldvalidator id="rfvFake" runat="server" ErrorMessage="Put in order for validation summary to work when there's no other validators rather than jsdatepicker's"
																						ControlToValidate="fakeTextBox"></asp:requiredfieldvalidator></strong></td>
																		</tr>
																		<tr>
																			<td style="PADDING-LEFT: 10px"><BR>
																				<asp:validationsummary id="ValidationSummary1" runat="server" HeaderText="{VALID_SUMMARY}" Width="100%"></asp:validationsummary><asp:datagrid id="gridFilters" runat="server" CellPadding="2" GridLines="None" Visible="False"
																					AutoGenerateColumns="False">
																					<AlternatingItemStyle VerticalAlign="Top"></AlternatingItemStyle>
																					<ItemStyle VerticalAlign="Top"></ItemStyle>
																					<HeaderStyle CssClass="title"></HeaderStyle>
																					<Columns>
																						<asp:TemplateColumn HeaderText="{COL_PARAMETER}">
																							<ItemTemplate>
																								<strong>
																									<asp:Label id=labelDisplayName runat="server" Text='<%# DataBinder.Eval(Container, "DataItem.DisplayName") %>'>
																									</asp:Label>
																									<asp:Label id=labelFieldName runat="server" Visible="False" Text='<%# DataBinder.Eval(Container, "DataItem.FieldName") %>'>
																									</asp:Label>
																								</strong>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<asp:TextBox id="textBoxString" runat="server" Width="489px" CssClass="input"></asp:TextBox><BR>
																								<asp:CustomValidator id="validateSpecialChars" runat="server" ControlToValidate="textBoxString" ErrorMessage="{VALID_SPECIAL_CHAR}">*</asp:CustomValidator>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<asp:TextBox id="textBoxDecimal" runat="server" CssClass="input"></asp:TextBox>
																								<asp:RangeValidator id=rvalDecimal runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong value format"%>' ControlToValidate="textBoxDecimal" MinimumValue="0" MaximumValue="999999999" Type="Currency">*</asp:RangeValidator>
																								<BR>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<asp:TextBox id="textBoxInteger" runat="server" CssClass="input"></asp:TextBox>
																								<asp:rangevalidator id=rvalInteger runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong value format"%>' Type="Integer" MaximumValue="999999999" MinimumValue="0" ControlToValidate="textBoxInteger">*</asp:rangevalidator><BR>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<jsc:JSCalendarControl id="jsdpDate" runat="server" CssClass="input" CompareValidatorMessage="{VALID_DATE_FORMAT}" />
																								<BR>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<TABLE id="Tablei" cellSpacing="2" cellPadding="2" border="0">
																									<TR valign="top" style="PADDING-BOTTOM: 2px" height="30px">
																										<TD>From:</TD>
																										<TD>
																											<asp:textbox id="textBoxIntFrom" runat="server" Width="57px" CssClass="input"></asp:textbox>
																											<asp:RangeValidator id=rvalIntegerFrom runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong ""from"" value format"%>' Type="Integer" MaximumValue="999999999" MinimumValue="0" ControlToValidate="textBoxIntFrom">*</asp:RangeValidator>
																										</TD>
																										<TD>To:</TD>
																										<TD>
																											<asp:textbox id="textBoxIntTo" runat="server" Width="57px" CssClass="input"></asp:textbox>
																											<asp:RangeValidator id=rvalIntegerTo runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong ""to"" value format"%>' Type="Integer" MaximumValue="999999999" MinimumValue="0" ControlToValidate="textBoxIntTo">*</asp:RangeValidator>
																										</TD>
																									</TR>
																								</TABLE>
																								<BR>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<TABLE id="Table7" cellSpacing="2" cellPadding="2" border="0">
																									<TR valign="top" style="PADDING-BOTTOM: 2px" height="30px">
																										<TD>From:</TD>
																										<TD>
																											<asp:textbox id="textBoxDecimalFrom" runat="server" Width="57px" CssClass="input"></asp:textbox>
																											<asp:RangeValidator id=rvalDecimalFrom runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong ""from"" value format"%>' Type="Currency" MaximumValue="999999999" MinimumValue="0" ControlToValidate="textBoxDecimalFrom">*</asp:RangeValidator>
																										</TD>
																										<TD>To:</TD>
																										<TD>
																											<asp:textbox id="textBoxDecimalTo" runat="server" Width="57px" CssClass="input"></asp:textbox>
																											<asp:rangevalidator id=rvalDecimalTo runat="server" ErrorMessage='<%# DataBinder.Eval(Container, "DataItem.DisplayName") + " : wrong ""to"" value format"%>' Type="Currency" MaximumValue="999999999" MinimumValue="0" ControlToValidate="textBoxDecimalTo">*</asp:rangevalidator>
																										</TD>
																									</TR>
																								</TABLE>
																								<BR>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<TABLE id="Table4" cellSpacing="2" cellPadding="2" border="0">
																									<TR>
																										<TD>
																											<asp:RadioButton id="rbAutomatic" runat="server" Text="{MODE_AUTOMATIC}" GroupName="DateRangeSel"></asp:RadioButton>
																										</TD>
																										<TD colSpan="5">
																											<asp:dropdownlist id="listAutoRangeType" runat="server" CssClass="input" Width="140px">
																												<asp:ListItem Value="{VAL_TODAY}">{TODAY}</asp:ListItem>
																												<asp:ListItem Value="{VAL_YESTERDAY}">{YESTERDAY}</asp:ListItem>
																												<asp:ListItem Value="{VAL_CURRENTWEEK}">{CURRENTWEEK}</asp:ListItem>
																												<asp:ListItem Value="{VAL_PREVIOUSWEEK}">{PREVIOUSWEEK}</asp:ListItem>
																												<asp:ListItem Value="{VAL_CURRENTMONTH}">{CURRENTMONTH}</asp:ListItem>
																												<asp:ListItem Value="{VAL_PRIVIOUSMONTH}">{PRIVIOUSMONTH}</asp:ListItem>
																												<asp:ListItem Value="{VAL_CURRENTYEAR}">{CURRENTYEAR}</asp:ListItem>
																												<asp:ListItem Value="{VAL_PREVIOUSYEAR}">{PREVIOUSYEAR}</asp:ListItem>
																											</asp:dropdownlist>
																										</TD>
																									</TR>
																									<TR height="50px">
																										<TD style="PADDING-BOTTOM: 2px">
																											<asp:radiobutton id="rbManual" runat="server" Text="{MODE_MANUAL}" GroupName="DateRangeSel" Checked="True"></asp:radiobutton>
																										</TD>
																										<TD style="PADDING-TOP: 5px">From:</TD>
																										<TD valign="bottom">
																											<jsc:JSCalendarControl id="jsdpDateFrom" runat="server" CssClass="input" Width="80px" CompareValidatorMessage="{VALID_DATEFROM_FORMAT}" />
																										</TD>
																										<TD style="PADDING-TOP: 5px">To:</TD>
																										<TD valign="bottom">
																											<jsc:JSCalendarControl id="jsdpDateTo" runat="server" CssClass="input" Width="80px" CompareValidatorMessage="{VALID_DATETO_FORMAT}" />
																										</TD>
																									</TR>
																								</TABLE>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<BR>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																						<asp:TemplateColumn HeaderText="{COL_VALUE}">
																							<ItemTemplate>
																								<asp:RadioButtonList id="rbBoolean" runat="server" CellPadding="1" CellSpacing="1">
																									<asp:ListItem Value="True" Selected="True">{BOOL_TRUE}</asp:ListItem>
																									<asp:ListItem Value="False">{BOOL_FALSE}</asp:ListItem>
																									<asp:ListItem Value="">{EMPTY_PARAM}</asp:ListItem>
																								</asp:RadioButtonList>
																							</ItemTemplate>
																						</asp:TemplateColumn>
																					</Columns>
																				</asp:datagrid></td>
																		</tr>
																		<tr>
																			<td style="PADDING-LEFT: 10px"><p id="spanNoRun" runat="server"><FONT size="1"><FONT color="red">*</FONT>
																						{TEXT_TORUN}
																						<br>
																					</FONT>
																				</p>
																				<table cellSpacing="0" cellPadding="2" border="0">
																					<TBODY>
																						<tr>
																							<TD vAlign="top"><br>
																								<table cellSpacing="2" cellPadding="2" border="0">
																									<tr>
																										<td><cc2:myimagebutton id="buttonRun" runat="server" DisabledImageUrl="images/run_disabled.png" ImageUrl="images/run.png"></cc2:myimagebutton></td>
																										<td><cc2:myimagebutton id="buttonEdit" runat="server" DisabledImageUrl="images/edit_disabled.png" ImageUrl="images/edit.png"
																												CausesValidation="False"></cc2:myimagebutton></td>
																									</tr>
																								</table>
																								<br>
																							</TD>
																						</tr>
																						<tr style="PADDING-TOP: 15px" height="45">
																							<td><asp:image id="PrinterIcon" runat="server" ImageUrl="images/Printer-Icon.jpg"></asp:image><asp:hyperlink id="hlPrintReport" runat="server" Width="210px" NavigateUrl="CustomReportPrint.aspx"
																									cssclass="printerlink" Target="_blank">{PRINTER}</asp:hyperlink></td>
																							<td width="20">&nbsp;</td>
																							<TD align="right"><asp:image id="ExportIcon" runat="server" ImageUrl="images/excel2.gif"></asp:image><asp:hyperlink id="hlExport" runat="server" Width="200px" NavigateUrl="CustomReportRun.aspx?export=html"
																									cssclass="printerlink" Target="_blank">{EXCEL}</asp:hyperlink></TD>
																						</tr>
																					</TBODY>
																				</table>
																			</td>
																		</tr>
																	</table>
																</td>
															</tr>
															<tr>
																<td height="20">&nbsp;</td>
															</tr>
															<tr>
																<td><asp:literal id="literalReport" Runat="server"></asp:literal></td>
															</tr>
															<tr>
																<td>
																	<TABLE id="tableNoData" width="100%" border="0" runat="server">
																		<tr>
																			<td>
																				<hr color="black">
																			</td>
																		</tr>
																		<TR>
																			<TD>
																				<table id="nodataTable" runat="server">
																					<tr>
																						<td>{NODATAMSG}</td>
																					</tr>
																				</table>
																			</TD>
																		</TR>
																	</TABLE>
																</td>
															</tr>
														</table>
														<!-- end table AllControls --></td>
												</TR>
											</tbody>
										</TABLE>
										<!-- End TableReport --></TD>
								</TR>
							</TABLE>
							<!-- End table after DIV - tableDiv --></div>
					</TD>
				</TR>
				<tr>
					<TD width="8"><IMG height="8" src="images/spacer.gif" width="8"></TD>
				</tr>
				<TR height="*">
					<TD vAlign="bottom"><uc1:footer id="Footer1" runat="server"></uc1:footer></TD>
				</TR>
			</TABLE>
		</FORM>
	</body>
</HTML>
